PETSc version 3.15.5
Fix/Edit manual page

# DMNetworkGetNumComponents

Get the number of components at a vertex/edge

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumComponents(DM dm,PetscInt p,PetscInt *numcomponents)

Not Collective

### Input Parameters

| dm | - the DMNetwork object
| p | - vertex/edge point

### Output Parameters

| numcomponents | - Number of components at the vertex/edge

### See Also

DMNetworkRegisterComponent(), DMNetworkAddComponent()

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages